Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.rosstandart
Interface RosstandartObjectIdentifiers

public interface RosstandartObjectIdentifiers

Field Summary
`static ASN1ObjectIdentifier` | `id_tc26`
`static ASN1ObjectIdentifier` | `id_tc26_agreement`
`static ASN1ObjectIdentifier` | `id_tc26_agreement_gost_3410_12_256`
`static ASN1ObjectIdentifier` | `id_tc26_agreement_gost_3410_12_512`
`static ASN1ObjectIdentifier` | `id_tc26_gost_28147_param_Z`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSet`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSetA`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSetB`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSetC`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSetD`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512_paramSet`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512_paramSetA`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512_paramSetB`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512_paramSetC`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3411_12_256`
`static ASN1ObjectIdentifier` | `id_tc26_gost_3411_12_512`
`static ASN1ObjectIdentifier` | `id_tc26_hmac_gost_3411_12_256`
`static ASN1ObjectIdentifier` | `id_tc26_hmac_gost_3411_12_512`
`static ASN1ObjectIdentifier` | `id_tc26_signwithdigest_gost_3410_12_256`
`static ASN1ObjectIdentifier` | `id_tc26_signwithdigest_gost_3410_12_512`
`static ASN1ObjectIdentifier` | `rosstandart`

Field Detail

### rosstandart

    public static final ASN1ObjectIdentifier rosstandart

### id_tc26

    public static final ASN1ObjectIdentifier id_tc26

### id_tc26_gost_3411_12_256

    public static final ASN1ObjectIdentifier id_tc26_gost_3411_12_256

### id_tc26_gost_3411_12_512

    public static final ASN1ObjectIdentifier id_tc26_gost_3411_12_512

### id_tc26_hmac_gost_3411_12_256

    public static final ASN1ObjectIdentifier id_tc26_hmac_gost_3411_12_256

### id_tc26_hmac_gost_3411_12_512

    public static final ASN1ObjectIdentifier id_tc26_hmac_gost_3411_12_512

### id_tc26_gost_3410_12_256

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256

### id_tc26_gost_3410_12_512

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512

### id_tc26_signwithdigest_gost_3410_12_256

    public static final ASN1ObjectIdentifier id_tc26_signwithdigest_gost_3410_12_256

### id_tc26_signwithdigest_gost_3410_12_512

    public static final ASN1ObjectIdentifier id_tc26_signwithdigest_gost_3410_12_512

### id_tc26_agreement

    public static final ASN1ObjectIdentifier id_tc26_agreement

### id_tc26_agreement_gost_3410_12_256

    public static final ASN1ObjectIdentifier id_tc26_agreement_gost_3410_12_256

### id_tc26_agreement_gost_3410_12_512

    public static final ASN1ObjectIdentifier id_tc26_agreement_gost_3410_12_512

### id_tc26_gost_3410_12_256_paramSet

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSet

### id_tc26_gost_3410_12_256_paramSetA

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSetA

### id_tc26_gost_3410_12_256_paramSetB

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSetB

### id_tc26_gost_3410_12_256_paramSetC

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSetC

### id_tc26_gost_3410_12_256_paramSetD

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSetD

### id_tc26_gost_3410_12_512_paramSet

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512_paramSet

### id_tc26_gost_3410_12_512_paramSetA

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512_paramSetA

### id_tc26_gost_3410_12_512_paramSetB

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512_paramSetB

### id_tc26_gost_3410_12_512_paramSetC

    public static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512_paramSetC

### id_tc26_gost_28147_param_Z

    public static final ASN1ObjectIdentifier id_tc26_gost_28147_param_Z

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD